Subject: Service ssh-daemon could not be started

From: "Brant Gardner" <[email-masked]>
Date: Fri, 20 Sep 2019 15:00:40 -0500

Adding my nickel here, I observed the exact same behavior yesterday. I have several Guix System instances, this is currently the only one that has exhibited the problem of ssh failing to start and logging no messages about it.

Networking:

 (static-networking-service
 "enp1s0" "192.168.1.253"
 #:gateway "192.168.1.100"
 #:name-servers '("192.168.1.123" "192.168.1.252"))

The most useful thing I could find in the logs:

Sep 19 15:30:46 localhost sshd[261]: Server listening on 0.0.0.0 port 22.
Sep 19 15:31:19 localhost shepherd[1]: Service ssh-daemon could not be started.
Sep 19 15:39:58 localhost sshd[585]: Server listening on 0.0.0.0 port 22.
Sep 19 15:39:58 localhost sshd[585]: Server listening on :: port 22.
Sep 19 15:39:59 localhost shepherd[1]: Service ssh-daemon has been started.

The 15:30/15:31 lines are the boot messages, the 15:39 messages are my manual call to 'herd start ssh-daemon'.

--
Brant Gardner